# Class: AdminPostGiftCardsGiftCardReq

[internal](../modules/internal-9.md).AdminPostGiftCardsGiftCardReq

## Properties

### balance

• `Optional` **balance**: `number`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/update-gift-card.d.ts:84

___

### ends\_at

• `Optional` **ends\_at**: `Date`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/update-gift-card.d.ts:86

___

### is\_disabled

• `Optional` **is\_disabled**: `boolean`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/update-gift-card.d.ts:85

___

### metadata

• `Optional` **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/admin/gift-cards/update-gift-card.d.ts:88

___

### region\_id

• `Optional` **region\_id**: `string`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/update-gift-card.d.ts:87
